org.eclipse.lyo.oslc4j.application

## Class OslcResourceShapeResource

- java.lang.Object
- - org.apache.wink.common.AbstractDynamicResource
  - - org.eclipse.lyo.oslc4j.application.OslcResourceShapeResource

- All Implemented Interfaces:
    org.apache.wink.common.DynamicResource

      public class OslcResourceShapeResource
      extends org.apache.wink.common.AbstractDynamicResource

  This class provides a generic JAX-RS resource to expose ResourceShapes for an OSLC Domain. It is used internally by `OslcWinkApplication`.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `OslcResourceShapeResource(String resourceShapesPath, Map<String,Class<?>> resourcePathToResourceClassMap)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `ResourceShape` | `getResourceShape(javax.servlet.http.HttpServletRequest httpServletRequest, String resourceShapePath)`

    - ### Methods inherited from class org.apache.wink.common.AbstractDynamicResource

      `getBeanName, getCollectionTitle, getParent, getPath, getWorkspaceTitle, setBeanName, setCollectionTitle, setParent, setPath, setWorkspaceTitle`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### OslcResourceShapeResource

          public OslcResourceShapeResource(String resourceShapesPath,
                                   Map<String,Class<?>> resourcePathToResourceClassMap)
                                    throws OslcCoreApplicationException,
                                           URISyntaxException

      Throws:
        `OslcCoreApplicationException`
        `URISyntaxException`

  - ### Method Detail

    - #### getResourceShape

          public ResourceShape getResourceShape(@Context
                                       javax.servlet.http.HttpServletRequest httpServletRequest,
                                       String resourceShapePath)
                                         throws OslcCoreApplicationException,
                                                URISyntaxException

      Throws:
        `OslcCoreApplicationException`
        `URISyntaxException`

Copyright © 2016. All rights reserved.